Summary: The libglade library for loading user interfaces.
Name:		libglade
Version: 	0.17
Release: 12.1
Epoch:		1
Copyright:	LGPL
Group: System Environment/Libraries
Source: 	ftp://ftp.daa.com.au/pub/james/gnome/libglade-%{version}.tar.gz
Patch:		libglade-0.16-fixquote.patch
Patch1:         libglade-0.17-gtkdoc.patch
Patch2:         libglade-0.17-clist-gettext.patch
URL:		http://www.daa.com.au/~james/gnome/
BuildRoot:	/var/tmp/%{name}-%{version}-root
Requires:	gnome-libs
Requires:	libxml
BuildRequires:  gnome-libs-devel >= 1.4.1.2
BuildRequires:  libxml-devel >= 1.8.16


%description
Libglade is a small library that allows a program to load its user
interface from am XML description at runtime. Libglade uses the XML
file format used by the GLADE user interface builder GLADE, so
libglade acts as an alternative to GLADE's code generation
approach. Libglade also provides a simple interface for connecting
handlers to the various signals in the interface (on platforms where
the gmodule library works correctly, it is possible to connect all the
handlers with a single function call). Once the interface has been
instantiated, libglade gives no overhead, so other than the short
initial interface loading time, there is no performance tradeoff.

%package devel
Summary: The files needed for libglade application development.
Group: Development/Libraries
Requires:	%name = %{epoch}:%{PACKAGE_VERSION}
Requires:	gnome-libs-devel >= 1.4.1.2
Requires:	libxml-devel >= 1.8.16

%description devel
The libglade-devel package contains the libraries and include files
that you can use to develop libglade applications.

%prep
%setup -q -n %{name}-%{version}
%patch -p1 -b ".fixquote"
%patch1 -p1 -b .gtkdoc
%patch2 -p1 -b .clist-gettext

%build

autoconf

%configure --without-bonobo

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/{libglade-gnome.la,libglade.la}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%doc test-libglade.c
%doc *.glade
%{_bindir}/*
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_includedir}/*
%{_datadir}/aclocal/*
%{_libdir}/libgladeConf.sh
%{_libdir}/pkgconfig

%doc %{_datadir}/gnome/html/

%changelog
* Sun Jun  8 2003 Tim Powers <timp@redhat.com> 1:0.17-12.1
- add epoch to versioned requires where needed
- built for RHEL

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan  3 2003 Owen Taylor <otaylor@redhat.com> 1:0.17-10
- Own /usr/share/gnome/html (#73953, Enrico Scholz)

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 1:0.17-9
- remove buildrequires on autoconf-2.53
- remove unpackaged files from the buildroot

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Jeremy Katz <katzj@redhat.com>
- remove .la files

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Apr 16 2002 Havoc Pennington <hp@redhat.com>
- patch from Harald to call gettext on clist column titles, #63338

* Tue Mar  5 2002 Havoc Pennington <hp@redhat.com>
- rebuild in new environment
- install .pc files, #59522
- fix more prefix/lib->libdir sort of things
- use autoconf-2.52 binary

* Wed Jan 23 2002 Havoc Pennington <hp@redhat.com>
- rebuild for db1 stuff
- fix some prefix/lib -> libdir sort of things
- use configure/makeinstall macros
- disable gtk-doc so we don't need an X display

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- 0.17
- remove libtoolize for now to avoid running autoconf since it requires 2.52

* Mon Aug 20 2001 Jonathan Blandford <jrb@redhat.com>
- Escape strings, #51966

* Sun Jul 22 2001 Havoc Pennington <hp@redhat.com>
- add build requires, bug #49508

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- 0.14
- added patch for gtk-doc scanner linkage

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Owen Taylor <otaylor@redhat.com>
- specfile fixes

* Wed May 31 2000 Owen Taylor <otaylor@redhat.com>
- Upgraded to libglade-0.13
- Use %makeinstall, since that is required when %configure is used.

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- Upgraded to libglade-0.12

* Tue Sep 07 1999 Elliot Lee <sopwith@redhat.com>
- Updated RHL 6.1 package to libglade-0.5

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>

- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>

- Initial release 0.0.1
